kifas.run.pause
kifas.run.pause
Section titled “kifas.run.pause”Pause a live run. Transitions runs.state from live to awaiting_input so the user can iterate via chat.
Required scopes: run:write
Parameters
Section titled “Parameters”| Name | Type | Required | Default | Description |
|---|---|---|---|---|
run_id |
string |
yes | — |
Returns
Section titled “Returns”{ "anyOf": [ { "type": "object", "properties": { "ok": { "type": "boolean", "const": true }, "state": { "type": "string", "const": "awaiting_input" } }, "required": [ "ok", "state" ], "additionalProperties": false }, { "type": "object", "properties": { "ok": { "type": "boolean", "const": false }, "error": { "type": "string" } }, "required": [ "ok", "error" ], "additionalProperties": false } ]}Code samples
Section titled “Code samples”TypeScript (Anthropic MCP SDK)
import { Client } from '@modelcontextprotocol/sdk/client/index.js'import { StreamableHTTPClientTransport } from '@modelcontextprotocol/sdk/client/streamable-http.js'
const transport = new StreamableHTTPClientTransport( new URL('https://mcp.kifas.io/'), { requestInit: { headers: { Authorization: `Bearer ${process.env.KIFAS_API_KEY}` }, }, },)const client = new Client({ name: 'demo', version: '0.1.0' })await client.connect(transport)
const result = await client.callTool({ name: 'kifas.run.pause', arguments: { "run_id": "00000000-0000-0000-0000-000000000000" },})console.log(result)Python (httpx, raw JSON-RPC)
import osimport httpx
resp = httpx.post( "https://mcp.kifas.io/", headers={ "Authorization": f"Bearer {os.environ['KIFAS_API_KEY']}", "Content-Type": "application/json", }, json={ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "kifas.run.pause", "arguments": { "run_id": "00000000-0000-0000-0000-000000000000" }, }, },)print(resp.json())curl
curl https://mcp.kifas.io/ \ -H "Authorization: Bearer $KIFAS_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "kifas.run.pause", "arguments": { "run_id": "00000000-0000-0000-0000-000000000000" } }}'Raw JSON-RPC body
{ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "kifas.run.pause", "arguments": { "run_id": "00000000-0000-0000-0000-000000000000" } }}Try it
Section titled “Try it”Want to try kifas.run.pause? Sign in to the dashboard and run it against a real session.